Bug 36908 - New port: deskutils/nag - Horde's task list manager.
Summary: New port: deskutils/nag - Horde's task list manager.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-04-09 00:00 UTC by Thierry Thomas
Modified: 2002-05-18 01:27 UTC (History)
0 users

See Also:


Attachments
file.shar (11.91 KB, text/plain)
2002-04-09 00:00 UTC, Thierry Thomas
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Thomas 2002-04-09 00:00:15 UTC
	Nag is a web-based task list manager.

	N.B.: this PR supersedes PR ports/32883.

Fix: Pre-requisite: this patch must be applied after PR ports/36906.

	Then, execute the following shar file:

How-To-Repeat: 	N/A.
Comment 1 sada freebsd_committer 2002-05-17 21:39:13 UTC
State Changed
From-To: open->feedback

I couldn't find distfile nag-1.0-RC1.tar.gz but nag-1.0-RC2.tar.gz.
Comment 2 sada freebsd_committer 2002-05-17 21:41:16 UTC
Class Changed
From-To: maintainer-update->change-request

This is new port submittion.
Comment 3 Thierry Thomas 2002-05-17 23:35:52 UTC
Le  9 avr 02 à  0:50:59 +0000, Thierry Thomas écrivait :
> 
> >Number:         36908
> >Category:       ports
> >Synopsis:       New port: deskutils/nag - Horde's task list manager.

The following patch upgrades the initial submitted port from 1.0 RC1 to
1.0 RC2:


diff -urN /usr/ports/deskutils/nag.orig/Makefile /usr/ports/deskutils/nag/Makefile
--- /usr/ports/deskutils/nag.orig/Makefile	Mon Apr  8 23:14:02 2002
+++ /usr/ports/deskutils/nag/Makefile	Sat May 18 00:01:09 2002
@@ -9,18 +9,18 @@
 PORTVERSION=	1.0
 CATEGORIES=	deskutils www
 MASTER_SITES=	ftp://ftp.horde.org/pub/nag/tarballs/
-DISTNAME=	${PORTNAME}-${PORTVERSION}-RC1
+DISTNAME=	${PORTNAME}-${PORTVERSION}-RC2
 
 MAINTAINER=	thierry@pompo.net
 
-WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
-
 RUN_DEPENDS=	${LOCALBASE}/www/horde/imp/index.php:${PORTSDIR}/mail/imp3
 
+WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
+
 NO_BUILD=	yes
 
 DOCS=		COPYING README docs/CHANGES docs/CREDITS docs/INSTALL \
-		docs/ROADMAP docs/TODO
+		docs/TODO
 CONFFILE=	conf.php html.php menu.php motd.php prefs.php
 SUB_DIRS=	config graphics lib locale po scripts templates
 
diff -urN /usr/ports/deskutils/nag.orig/distinfo /usr/ports/deskutils/nag/distinfo
--- /usr/ports/deskutils/nag.orig/distinfo	Mon Apr  8 22:58:05 2002
+++ /usr/ports/deskutils/nag/distinfo	Fri May 17 23:26:36 2002
@@ -1 +1 @@
-MD5 (nag-1.0-RC1.tar.gz) = cf2e6224a62e787208886156c1868e9e
+MD5 (nag-1.0-RC2.tar.gz) = 176a2bb44bcc469425d7ca70109ea879
diff -urN /usr/ports/deskutils/nag.orig/pkg-plist /usr/ports/deskutils/nag/pkg-plist
--- /usr/ports/deskutils/nag.orig/pkg-plist	Mon Apr  8 23:26:08 2002
+++ /usr/ports/deskutils/nag/pkg-plist	Fri May 17 23:58:50 2002
@@ -3,7 +3,6 @@
 %%PORTDOCS%%share/doc/nag/CREDITS
 %%PORTDOCS%%share/doc/nag/INSTALL
 %%PORTDOCS%%share/doc/nag/README
-%%PORTDOCS%%share/doc/nag/ROADMAP
 %%PORTDOCS%%share/doc/nag/TODO
 %%NAGDIR%%/config/conf.php
 %%NAGDIR%%/config/conf.php.dist
@@ -18,10 +17,9 @@
 %%NAGDIR%%/config/prefs.php.dist
 %%NAGDIR%%/graphics/add.gif
 %%NAGDIR%%/graphics/checkbox.gif
+%%NAGDIR%%/graphics/complete.gif
 %%NAGDIR%%/graphics/down.gif
-%%NAGDIR%%/graphics/high.gif
 %%NAGDIR%%/graphics/list.gif
-%%NAGDIR%%/graphics/low.gif
 %%NAGDIR%%/graphics/nag.gif
 %%NAGDIR%%/graphics/note.gif
 %%NAGDIR%%/graphics/refresh.gif
@@ -40,6 +38,7 @@
 %%NAGDIR%%/locale/de_DE/LC_MESSAGES/nag.mo
 %%NAGDIR%%/locale/en_US/help.xml
 %%NAGDIR%%/locale/es_ES/LC_MESSAGES/nag.mo
+%%NAGDIR%%/locale/fi_FI/LC_MESSAGES/nag.mo
 %%NAGDIR%%/locale/fr_FR/LC_MESSAGES/nag.mo
 %%NAGDIR%%/locale/it_IT/LC_MESSAGES/nag.mo
 %%NAGDIR%%/locale/nl_NL/LC_MESSAGES/nag.mo
@@ -55,6 +54,7 @@
 %%NAGDIR%%/po/de_DE.po
 %%NAGDIR%%/po/es_ES.po
 %%NAGDIR%%/po/extract.pl
+%%NAGDIR%%/po/fi_FI.po
 %%NAGDIR%%/po/fr_FR.po
 %%NAGDIR%%/po/it_IT.po
 %%NAGDIR%%/po/nl_NL.po
@@ -105,6 +105,8 @@
 @dirrm %%NAGDIR%%/locale/en_US
 @dirrm %%NAGDIR%%/locale/es_ES/LC_MESSAGES
 @dirrm %%NAGDIR%%/locale/es_ES
+@dirrm %%NAGDIR%%/locale/fi_FI/LC_MESSAGES
+@dirrm %%NAGDIR%%/locale/fi_FI
 @dirrm %%NAGDIR%%/locale/fr_FR/LC_MESSAGES
 @dirrm %%NAGDIR%%/locale/fr_FR
 @dirrm %%NAGDIR%%/locale/it_IT/LC_MESSAGES



-- 
Th. Thomas.
Comment 4 sada freebsd_committer 2002-05-18 01:27:25 UTC
State Changed
From-To: feedback->closed

Committed with some portlint, thanks!